summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-01-12 01:37:13 +1100
committerMichael Palimaka <kensington@gentoo.org>2017-01-12 03:24:40 +1100
commitaa95924e14d463f114a693200897f4de0d84b73a (patch)
tree1024f201449a4e9b0f9df3b5cd0008219563cf3e /sys-apps
parentsys-libs/libapparmor: version bump 2.11.0 (diff)
downloadgentoo-aa95924e14d463f114a693200897f4de0d84b73a.tar.gz
gentoo-aa95924e14d463f114a693200897f4de0d84b73a.tar.bz2
gentoo-aa95924e14d463f114a693200897f4de0d84b73a.zip
sys-apps/apparmor: version bump 2.11.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/apparmor/Manifest1
-rw-r--r--sys-apps/apparmor/apparmor-2.11.0.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/sys-apps/apparmor/Manifest b/sys-apps/apparmor/Manifest
index c80bc76a3de..c564ea3a69c 100644
--- a/sys-apps/apparmor/Manifest
+++ b/sys-apps/apparmor/Manifest
@@ -1 +1,2 @@
DIST apparmor-2.10.1.tar.gz 4494037 SHA256 07a76f338304baadc4ad69d025fe000b1ab4779a251ae8f338afdc13ef1e0f24 SHA512 93992c25f77bb46389160df8324c811b4c2f0fad4b425902b30ce31d6e1f3a0efe6b359c6f8348ef646f8b527584e1f19eb4f46b27fb1ba742489ad09d171278 WHIRLPOOL d59d935db520d3c59bd0398727a1151b3280c2bf56e8f978c3595f50ff06cb70aaddc0313a7d16705b8eadeb2018aeef7ce585423c3a6ed7c34dfd4e06df9c25
+DIST apparmor-2.11.0.tar.gz 5013297 SHA256 b1c489ea11e7771b8e6b181532cafbf9ebe6603e3cb00e2558f21b7a5bdd739a SHA512 86b33c1cbbd256028dd5fdfaddc764c225845acd19c833223fce5cdd6164f997fe010d7b642791f834a3417b4ea847d77175fdfd89ea99ab2111933790d42b55 WHIRLPOOL 2a3ca9a943694fba0f225cffc2bac3782545c0970b490189585a87cccf18047128eaab754e53003e03d535a5851a3198b0738a89c6547e88d081f6ad31f066d5
diff --git a/sys-apps/apparmor/apparmor-2.11.0.ebuild b/sys-apps/apparmor/apparmor-2.11.0.ebuild
new file mode 100644
index 00000000000..d99a55a8ed5
--- /dev/null
+++ b/sys-apps/apparmor/apparmor-2.11.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs versionator
+
+MY_PV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="Userspace utils and init scripts for the AppArmor application security system"
+HOMEPAGE="http://apparmor.net/"
+SRC_URI="https://launchpad.net/${PN}/${MY_PV}/${MY_PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="~sys-libs/libapparmor-${PV}"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ sys-devel/bison
+ sys-devel/flex
+ doc? ( dev-tex/latex2html )
+"
+
+S=${WORKDIR}/apparmor-${PV}/parser
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.10-makefile.patch"
+ "${FILESDIR}/${PN}-2.10-dynamic-link.patch"
+)
+
+src_prepare() {
+ default
+
+ # remove warning about missing file that controls features
+ # we don't currently support
+ sed -e "/installation problem/ctrue" -i rc.apparmor.functions || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" CXX="$(tc-getCXX)" USE_SYSTEM=1 arch manpages
+ use doc && emake pdf
+}
+
+src_install() {
+ emake DESTDIR="${D}" USE_SYSTEM=1 install
+
+ dodir /etc/apparmor.d/disable
+
+ newinitd "${FILESDIR}"/${PN}-init ${PN}
+
+ use doc && dodoc techdoc.pdf
+}